TurboLogViewer Overview

TurboLogViewer is a specialized program for viewing log files created by TurboFTP program. This program can help you examine and navigate through TurboFTP log files in an efficient way. It can open large log files very fast (e.g. 10Mb in 2-3 seconds). It highlights different parts of log file by specified color schema which can be modified by user. Each task session can be displayed in expanded and collapsed state. You can use bookmarks to return to marked places of log. You have ability to view full strings through the Word Wrap function. TurboLogViewer works on Windows 9x/NT 4.0/2000/XP.

TurboLogViewer is part of the TurboFTP software package.

For more information about TurboFTP FTP client, please go to website: http://www.turboftp.com.

© 2006 TurboSoft, Inc. All Rights Reserved.


End-User License Agreement

Please read this entire agreement.

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the author of this software TurboSoft,Inc (AUTHOR) for the software product TurboFTP, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE"). By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE.

1. GRANT OF LICENSE.

Evaluation Copy. If you acquired the license for the SOFTWARE on an evaluation or trial basis, you may use the SOFTWARE without charge for thirty (30) days from the day that you install the SOFTWARE. You must pay the license fee and register your copy to continue to use the SOFTWARE after the thirty (30) day evaluation period. When payment is received you will be sent your own personal registration code.

Registered Copy. A single registered copy of SOFTWARE may either be used by a single person who uses the SOFTWARE himself on one or more computers, or installed on a single computer and used by multiple people, but not both. You may access the registered version of SOFTWARE through a network, provided that you have obtained individual licenses for the SOFTWARE covering all computers that will run the SOFTWARE from the network. For instance, if five different workstations will access SOFTWARE on the network, each workstation must have its own SOFTWARE license, whether they use SOFTWARE at different times or concurrently.

2. SCOPE OF GRANT

You may not decompile, disassemble or otherwise reverse engineer the SOFTWARE, or engage in any other activities to obtain underlying information that is not visible to the user in connection with normal use of the SOFTWARE. You may not modify, rent, or resell for profit this SOFTWARE, or create derivative works based upon this SOFTWARE. You may not publicize or distribute any registration code algorithms, information, or registration codes used by this SOFTWARE without permission from the AUTHOR.

In no event shall the AUTHOR's liability exceed the purchase price of the SOFTWARE.

3. COPYRIGHT

This SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

4. DISTRIBUTION

Only the evaluation version of this SOFTWARE may be freely distributed.

Provided that you verify that you are distributing the evaluation version, you may distribute this SOFTWARE on on-line services, bulletin boards, or other electronic media provided that it is not modified and the original archive remains intact with all accompanying files, and provided that no fee is charged. This SOFTWARE may not be distributed on CD-ROM, disk, or other physical media for a fee without the permission of the AUTHOR.

5. TERMINATION

The license will terminate automatically and the SOFTWARE unregistered if you fail to comply with any of the above terms and conditions. The license may be terminated by either party at any time and without notice.

6. DISCLAIMER OF WARRANTY

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR FURTHER DISCLAIMS ALL WARRANTIES, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON INFRINGEMENT. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THE PRODUCT AND DOCUMENTATION REMAINS WITH RECIPIENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR THE USE OF OR INABILITY TO USE THE PRODUCT, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Getting Started

TurboLogViewer have a multiple document interface. You can work with several opened files at the same time. To switch between opened documents just click on the respective tab at the bottom of the TurboLogViewer window. You can also activate document you want to view in Main Menu → Window → [Document Name].

For information about Toolbar , Blocks and Bookmarks click the link.


File

File Menu

Open…

Use this command to open an existing document in a new window. You can open multiple documents at once. Use the Window menu to switch between the multiple open documents.

Reload

Use this command if opened file was modified by another application.

Close

Use this command to close window containing the active document.

Print…

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Print Preview

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.

Print Setup…

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.

1,2,3,4,5 (Recent Documents)

Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.

Exit

Use this command to end your TurboLogViewer session. You can also use the Close command on the application Control menu.


Edit Menu

Copy

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected. Copying data to the clipboard replaces the contents previously stored there.

Find…

Use this command to find specified text. It displays the Find dialog box.

Find Next

Use this command to find next entry of text specified before. If text was not specified before then Find dialog box will appear.

Select All

Use this command to select all content of current document.

Expand All

Use this command to expand all collapsed blocks.

Collapse All

Use this command to collapse all expanded blocks.

Toggle Bookmark

Use this command to put a bookmark on the current cursor position line.

Next Bookmark

Use this command to move cursor in scroll window to next bookmark position. If there are no bookmarks from current position till the end of the document it will move cursor to the first bookmark in the document.

Previous Bookmark

Use this command to move cursor in scroll window to previous bookmark position. If there are no bookmarks from current position till the top of the document it will move cursor to the last bookmark in the document.

Options…

Use this command to modify highlighting rules for all documents. It displays Options dialog box.


Format Menu

Word Wrap

Use this command to enable/disable the “word wrap” mode.

Font…

Use this command to choose parameters of font. It displays the standard Font dialog box.


View Menu

Toolbar

Use this menu to show/hide Toolbar.

Status Bar

Use this menu to show/hide the Status Bar.


Window Menu

Cascade

Use this command to arrange multiple opened windows in an overlapped fashion.

Tile

Use this command to arrange multiple opened windows in a non-overlapped fashion.

Arrange Icons

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.

1, 2,.. (Opened Documents)

Displays a list of currently open document windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a document from this list to make its window active.


Help Menu

About TurboLogViewer…

Displays the copyright and version number of this application.


Toolbar

* Open

Reload

* Copy

* Print

* About

* Toggle Bookmark

* Next Bookmark

* Previous Bookmark

* Collapse All

* Expand All

* Find


Hot Keys

Ctrl+O Open

Ctrl+F4 Close

Ctrl+P Print

Ctrl+C Copy

Ctrl+A Select All

Ctrl+F Find

F3 Find Next

K Toggle Bookmark

N Next Bookmark

P Previous Bookmark


Options Dialog Box

General Tab

On General Tab you can choose a checkbox “Go to the end of file upon open”, and then cursor will move to the end of file when you’ll open log file.

In "Block’s Delimiter" field you can specify string that indicates beginning of each block.

Colors Tab

Colors Tab allows you to modify highlighting rules for all documents.

“Add” button is adding a new rule.

Select [*New Keyword*] and set keywords in Keyword 1 and Keyword 2. If text line contain specified keyword(s) it is possible to set a color for:

- keyword only, or text between first and second keyword (when two keywords are specified)

- whole line

- text from keyword to end of line

Clicking on the Color control shows the standard color selection dialog.

Don’t forget to click “Apply Changes” button!


Find Dialog Box

Find Dialog Box allows you to find specified text. Please enter string you want to find in text field. You can specify case sensitive mode by setting checkbox in checked state.


Blocks

Each session in log window can be displayed in two modes - collapsed and expanded. When a session is in the short view (collapsed) you can see title string only. There is a plus sign (+) box near collapsed sessions at the left of the title line. If you click on this box the session will expand to full view and plus sign box become minus sign box (-). Clicking on this minus will switch session view back in collapsed mode. You can also use a context menu to collapse or expand a block.


Bookmarks

Bookmarks are marks which allows you to return to a line from any place in log text. Just select line you need and click left mouse button on the gray lane on left side of log window and a blue bookmark will appear there. You can put bookmarks also by using respective commands in the Edit menu or by pressing Hot Keys.